%define pkgname gconfmm
%define api_version 2.6

Name: gconfmm2
Version: 2.10.0
Release: alt1

Summary: A C++ interface for GConf2
License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/gconfmm/2.6/%pkgname-%version.tar.bz2

# manually removed: gcc-g77 hostinfo 
# Automatically added by buildreq on Fri Jan 21 2005
BuildRequires: ORBit2-devel gcc-c++ glib2-devel libGConf2-devel libatk-devel libglibmm-devel libgtk+2-devel libgtkmm2-devel libpango-devel libsigc++2.0-devel libstdc++-devel pkgconfig

%description
This package provides a C++ interface for gconf2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented
framework.

%package -n lib%name
Summary: %summary
Group: %group

%description -n lib%name
This package provides a C++ interface for gconf2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented
framework.

%package -n lib%name-devel
Summary: Headers and development files of GConf 2 C++ wrapper
Group: Development/GNOME and GTK+
Requires: lib%name = %version

%description -n lib%name-devel
This package contains the headers and various development files needed,
when compiling or developing programs which want GConf 2 C++ wrapper.

%prep
%setup -q -n %pkgname-%version
%__subst "s|examples | |" Makefile.in

%build
%configure --disable-static

%make

%install
%makeinstall

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%doc COPYING.LIB
%_libdir/*.so.*

%files -n lib%name-devel
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%_includedir/*
%_libdir/%pkgname-%api_version
%_libdir/pkgconfig/*.pc
#%_libdir/*.a
#%_libdir/*.la
%_libdir/*.so

%changelog
* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt1
- new version

* Fri Jan 21 2005 Vitaly Lipatov <lav@altlinux.ru> 2.9.2-alt1
- new version
- build with gcc3.4

* Mon May 24 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version

* Sun Feb 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- first build for Sisyphus (thanks Mandrake)

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-5mdk
- Can't even fix changelog? Counter black magic with black magic

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-4mdk
- Rebuild again, main library RPM vaporized (Thx Austin)
- Relax -devel requirement a little bit

* Fri Aug 22 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-3mdk
- Rebuild against new gtkmm

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-2mdk
- Enable static libraries
- Other spec tweaks

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
